htcp.c File Reference

## Functions

size_t | headers_callback (void *ptr, size_t size, size_t nmemb, void *p)
int | set_std_opts (CURL *easyhandle, struct grst_stream_data *common_data)
int | do_rmtcp (char *sources[], char *destination, struct grst_stream_data *common_data)
int | do_copies (char *sources[], char *destination, struct grst_stream_data *common_data)
int | do_deletes (char *sources[], struct grst_stream_data *common_data)
int | do_move (char *source, char *destination, struct grst_stream_data *common_data)
int | do_mkdirs (char *sources[], struct grst_stream_data *common_data)
int | do_ping (struct grst_stream_data *common_data_ptr)
int | do_finds (char *sources[], struct grst_stream_data *common_data_ptr, int num)
int | translate_sitecast_url (char **source_ptr, struct grst_stream_data *common_data_ptr)
size_t | rawindex_callback (void *ptr, size_t size, size_t nmemb, void *data)
char * | canonicalise (char *link, char *source)
int | grst_dir_list_cmp (const void *a, const void *b)
struct grst_dir_list * | index_to_dir_list (char *text, char *source)
int | do_listings (char *sources[], struct grst_stream_data *common_data, int islonglist)
char * | make_tmp_ca_roots (char *dir)
void | printsyntax (char *argv0)
int | update_common_data (struct grst_stream_data *, int, char *)
void | parse_conf (struct grst_stream_data *common_data_ptr, char *conf_file)
int | main (int argc, char *argv[])

## Variables

struct option | long_options []

## Function Documentation

## canonicalise()

char * canonicalise | ( | char * | link,
|  | char * | source )

## do_copies()

int do_copies | ( | char * | sources[],
|  | char * | destination,
|  | struct grst_stream_data * | common_data )

## do_deletes()

int do_deletes | ( | char * | sources[],
|  | struct grst_stream_data * | common_data )

## do_finds()

int do_finds | ( | char * | sources[],
|  | struct grst_stream_data * | common_data_ptr,
|  | int | num )

## do_listings()

int do_listings | ( | char * | sources[],
|  | struct grst_stream_data * | common_data,
|  | int | islonglist )

## do_mkdirs()

int do_mkdirs | ( | char * | sources[],
|  | struct grst_stream_data * | common_data )

## do_move()

int do_move | ( | char * | source,
|  | char * | destination,
|  | struct grst_stream_data * | common_data )

## do_ping()

int do_ping | ( | struct grst_stream_data * | common_data_ptr | ) |

## do_rmtcp()

int do_rmtcp | ( | char * | sources[],
|  | char * | destination,
|  | struct grst_stream_data * | common_data )

## grst_dir_list_cmp()

int grst_dir_list_cmp | ( | const void * | a,
|  | const void * | b )

## headers_callback()

size_t headers_callback | ( | void * | ptr,
|  | size_t | size,
|  | size_t | nmemb,
|  | void * | p )

## index_to_dir_list()

struct grst_dir_list * index_to_dir_list | ( | char * | text,
|  | char * | source )

## main()

int main | ( | int | argc,
|  | char * | argv[] )

## make_tmp_ca_roots()

char * make_tmp_ca_roots | ( | char * | dir | ) |

## parse_conf()

void parse_conf | ( | struct grst_stream_data * | common_data_ptr,
|  | char * | conf_file )

## printsyntax()

void printsyntax | ( | char * | argv0 | ) |

## rawindex_callback()

size_t rawindex_callback | ( | void * | ptr,
|  | size_t | size,
|  | size_t | nmemb,
|  | void * | data )

## set_std_opts()

int set_std_opts | ( | CURL * | easyhandle,
|  | struct grst_stream_data * | common_data )

## translate_sitecast_url()

int translate_sitecast_url | ( | char ** | source_ptr,
|  | struct grst_stream_data * | common_data_ptr )

## update_common_data()

int update_common_data | ( | struct grst_stream_data * | common_data_ptr,
|  | int | option_index,
|  | char * | optarg )

## Variable Documentation

## long_options

struct option long_options[]

Initial value:
= { {"verbose", 0, 0, 'v'},
{"cert", 1, 0, 0},
{"key", 1, 0, 0},
{"capath", 1, 0, 0},
{"delete", 0, 0, 0},
{"list", 0, 0, 0},
{"long-list", 0, 0, 0},
{"mkdir", 0, 0, 0},
{"no-verify", 0, 0, 0},
{"anon", 0, 0, 0},
{"grid-http", 0, 0, 0},
{"move", 0, 0, 0},
{"ping", 0, 0, 0},
{"groups", 1, 0, 0},
{"timeout", 1, 0, 0},
{"sitecast", 0, 0, 0},
{"domain", 1, 0, 0},
{"find", 0, 0, 0},
{"rmtcp", 0, 0, 0},
{"conf", 1, 0, 0},
{0, 0, 0, 0} }